## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * tests can only be run in-tree
%bcond_with check
%global debug_package %{nil}

%global crate awc

Name:           rust-awc
Version:        3.5.0
Release:        %autorelease
Summary:        Async HTTP and WebSocket client library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/awc
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused support for brotli
# * drop unused support for rustls
Patch:          awc-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Async HTTP and WebSocket client library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGES.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__compress-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__compress-devel %{_description}

This package contains library source intended for building other packages which
use the "__compress" feature of the "%{crate}" crate.

%files       -n %{name}+__compress-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compress-gzip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compress-gzip-devel %{_description}

This package contains library source intended for building other packages which
use the "compress-gzip" feature of the "%{crate}" crate.

%files       -n %{name}+compress-gzip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compress-zstd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compress-zstd-devel %{_description}

This package contains library source intended for building other packages which
use the "compress-zstd" feature of the "%{crate}" crate.

%files       -n %{name}+compress-zstd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cookie-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cookie-devel %{_description}

This package contains library source intended for building other packages which
use the "cookie" feature of the "%{crate}" crate.

%files       -n %{name}+cookie-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cookies-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cookies-devel %{_description}

This package contains library source intended for building other packages which
use the "cookies" feature of the "%{crate}" crate.

%files       -n %{name}+cookies-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dangerous-h2c-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dangerous-h2c-devel %{_description}

This package contains library source intended for building other packages which
use the "dangerous-h2c" feature of the "%{crate}" crate.

%files       -n %{name}+dangerous-h2c-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "tls-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+tls-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trust-dns-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trust-dns-devel %{_description}

This package contains library source intended for building other packages which
use the "trust-dns" feature of the "%{crate}" crate.

%files       -n %{name}+trust-dns-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trust-dns-resolver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trust-dns-resolver-devel %{_description}

This package contains library source intended for building other packages which
use the "trust-dns-resolver" feature of the "%{crate}" crate.

%files       -n %{name}+trust-dns-resolver-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jun 24 2024 Fabio Valentini <decathorpe@gmail.com> - 3.5.0-1
- Update to version 3.5.0; Fixes RHBZ#2281482

* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 3.4.0-1
- Update to version 3.4.0; Fixes RHBZ#2262576

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 15 2024 Fabio Valentini <decathorpe@gmail.com> - 3.3.0-1
- Update to version 3.3.0; Fixes RHBZ#2255766

* Fri Oct 20 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-2
- Bump trust-dns-resolver dependency from 0.22 to 0.23

* Wed Sep 13 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0; Fixes RHBZ#2235554

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 3.1.1-1
- Update to version 3.1.1; Fixes RHBZ#2173366

* Thu Feb 23 2023 Fabio Valentini <decathorpe@gmail.com> - 3.1.0-1
- Update to version 3.1.0; Fixes RHBZ#2162891

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 25 2022 Fabio Valentini <decathorpe@gmail.com> - 3.0.1-1
- Update to version 3.0.1; Fixes RHBZ#2121278

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 31 2022 Fabio Valentini <decathorpe@gmail.com> - 3.0.0-1
- Update to version 3.0.0; Fixes RHBZ#2061921

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 30 2020 Fabio Valentini <decathorpe@gmail.com> - 2.0.3-1
- Update to version 2.0.3.
- Fixes RHBZ#1902513

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-1
- Update to version 2.0.2.

* Sat Nov  7 2020 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1.
- Fixes RHBZ#1893078

* Mon Sep 21 2020 Fabio Valentini <decathorpe@gmail.com> - 2.0.0-1
- Update to version 2.0.0.

* Sat Aug 29 08:43:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.0~beta.3-1
- Update to 2.0.0-beta.3

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0~alpha.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0~alpha.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 23 12:35:20 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.0~alpha.2-1
- Update to 2.0.0-alpha.2

* Sun Mar 15 09:18:50 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.0~alpha.1-1
- Update to 2.0.0-alpha.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 20 18:54:21 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-2
- Regenerate

* Sun Dec 15 08:48:23 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Fri Dec 13 20:30:47 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Sun Sep 01 17:22:59 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.4-1
- Update to 0.2.4

* Sat Aug 03 13:46:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 06 11:32:50 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Tue Jun 18 11:20:33 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-2
- Update derive_more to 0.15

* Wed Jun 05 17:45:35 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Fri May 31 18:57:01 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Initial package

## END: Generated by rpmautospec
